
# Player Animations
execute as @e[tag=aj.player.root,tag=!idle_started] at @s run function player:animations/walk/stop
execute as @e[tag=aj.player.root,tag=!idle_started] at @s run function player:animations/wake_up/stop
execute as @e[tag=aj.player.root,tag=!idle_started] at @s run function player:animations/wake_up1/stop
execute as @e[tag=aj.player.root,tag=!idle_started] at @s run function player:animations/sleeping/stop
execute as @e[tag=aj.player.root,tag=!idle_started] at @s run function player:animations/drink_water/stop
execute as @e[tag=aj.player.root,tag=!idle_started] at @s run function player:animations/lever/stop
execute as @e[tag=aj.player.root,tag=!idle_started] at @s run function player:animations/idle/play
execute as @e[tag=aj.player.root,tag=!idle_started] at @s run tag @s add idle_started

execute as @e[tag=aj.player.root,tag=player_animation_playing,tag=!player_animation_played] at @s run function player:animations/idle/stop
execute as @e[tag=aj.player.root,tag=player_animation_playing,tag=!player_animation_played] at @s run tag @s add player_animation_played

execute as @e[tag=aj.player.root,tag=!player_animation_playing,tag=player_animation_played] at @s run tag @s remove idle_started
execute as @e[tag=aj.player.root,tag=!player_animation_playing,tag=player_animation_played] at @s run tag @s remove player_animation_played



# Walk
execute as @e[tag=aj.player.root,tag=aj.player.animation.walk] at @s if entity @a[tag=cinema_mode] run function player:animations/walk/stop
execute as @e[tag=aj.player.root,tag=aj.player.animation.walk] at @s unless score .wasd wasd matches 1 run function player:animations/walk/stop
execute as @e[tag=aj.player.root,tag=!aj.player.animation.walk] at @s unless entity @a[tag=cinema_mode] if score .wasd wasd matches 1 run function player:animations/walk/play

execute as @e[tag=Player] at @s if entity @e[tag=aj.player.root,scores={aj.player.animation.walk.local_anim_time=2}] unless block ~ ~-0.1 ~ #hh:nonsolid1 run execute as @a[team=player] at @s run playsound hh/footsteps/stone master @s ~ ~ ~
execute as @e[tag=Player] at @s if entity @e[tag=aj.player.root,scores={aj.player.animation.walk.local_anim_time=14}] unless block ~ ~-0.1 ~ #hh:nonsolid1 run execute as @a[team=player] at @s run playsound hh/footsteps/stone master @s ~ ~ ~



# Wake Up
execute as @e[tag=aj.player.root,tag=!wake_up,tag=wake_up_played] at @s run tag @s remove wake_up_played

execute as @e[tag=aj.player.root,tag=wake_up,tag=!wake_up_played] at @s run function player:animations/wake_up/play
execute as @e[tag=aj.player.root,tag=wake_up,tag=!wake_up_played] at @s run tag @s add wake_up_played

execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up.local_anim_time=1}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ 180 -20
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up.local_anim_time=2..10}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~-1.5 ~
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up.local_anim_time=11..20}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~-6 ~
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up.local_anim_time=21..24}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~-3 ~


# Sleeping
execute as @e[tag=aj.player.root,tag=!sleeping,tag=sleeping_played] at @s run tag @s remove sleeping_played

execute as @e[tag=aj.player.root,tag=sleeping,tag=!sleeping_played] at @s run function player:animations/sleeping/play
execute as @e[tag=aj.player.root,tag=sleeping,tag=!sleeping_played] at @s run tag @s add sleeping_played



# Drink Water
execute as @e[tag=aj.player.root,tag=!drink_water,tag=drink_water_played] at @s run tag @s remove drink_water_played

execute as @e[tag=aj.player.root,tag=drink_water,tag=!drink_water_played] at @s run function player:animations/drink_water/play
execute as @e[tag=aj.player.root,tag=drink_water,tag=!drink_water_played] at @s run tag @s add drink_water_played

execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=20}] at @s run kill @e[tag=Glass_Water]
execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=20}] at @s run scoreboard players set .HH/Player/Offhand_ID HH 1
execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=65}] at @s run scoreboard players set .HH/Player/Offhand_ID HH 2
execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=60}] at @s run tag @e[tag=Faucet,tag=Main] add turn_on
#execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=60}] at @s run execute as @e[tag=Player] at @s run teleport @s ~ ~ ~ -90 0
#execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=80}] at @s run tag @e[tag=Faucet] add turn_off

execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=2..5}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~0.1
execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=6..20}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~0.3
execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=21..25}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~0.1
execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=70..75}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~-0.15
execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=76..85}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~-0.4
execute as @e[tag=aj.player.root,scores={aj.player.animation.drink_water.local_anim_time=86..90}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~-0.1



# Lever
execute as @e[tag=aj.player.root,scores={aj.player.animation.lever.local_anim_time=25}] at @s run tag @e[tag=Fusebox] add turn_on

execute as @e[tag=aj.player.root,scores={aj.player.animation.lever.local_anim_time=2..5}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~-0.05
execute as @e[tag=aj.player.root,scores={aj.player.animation.lever.local_anim_time=6..20}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~-0.2
execute as @e[tag=aj.player.root,scores={aj.player.animation.lever.local_anim_time=21..25}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~-0.02
execute as @e[tag=aj.player.root,scores={aj.player.animation.lever.local_anim_time=26}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~0.2
execute as @e[tag=aj.player.root,scores={aj.player.animation.lever.local_anim_time=27..30}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~0.5
execute as @e[tag=aj.player.root,scores={aj.player.animation.lever.local_anim_time=31..35}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~0.2



# Wake Up 1
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=2..5}] at @s run execute as @e[tag=PlayerMotion] at @s run teleport @s ^ ^0.03 ^
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=6..10}] at @s run execute as @e[tag=PlayerMotion] at @s run teleport @s ^ ^0.09 ^
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=11..15}] at @s run execute as @e[tag=PlayerMotion] at @s run teleport @s ^ ^0.03 ^
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=2..4}] at @s run execute as @e[tag=PlayerMotion] at @s run teleport @s ^ ^ ^0.01
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=5..7}] at @s run execute as @e[tag=PlayerMotion] at @s run teleport @s ^ ^ ^0.02
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=8..25}] at @s run execute as @e[tag=PlayerMotion] at @s run teleport @s ^ ^ ^0.04
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=26..30}] at @s run execute as @e[tag=PlayerMotion] at @s run teleport @s ^ ^ ^0.02
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=40..45}] at @s run execute as @e[tag=Player] at @s run teleport @s ~ ~ ~ ~2 ~
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=46..50}] at @s run execute as @e[tag=Player] at @s run teleport @s ~ ~ ~ ~4 ~
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=51..55}] at @s run execute as @e[tag=Player] at @s run teleport @s ~ ~ ~ ~2 ~
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=40..45}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~2 ~
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=46..50}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~4 ~
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=51..55}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~2 ~
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=50..55}] at @s run execute as @e[tag=PlayerMotion] at @s run teleport @s ^ ^ ^0.03
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=55..70}] at @s run execute as @e[tag=PlayerMotion] at @s run teleport @s ^ ^ ^0.06
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=70..}] at @s run execute as @e[tag=PlayerMotion] at @s run teleport @s ^ ^ ^0.02
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=2}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~2
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=3..14}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~4
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=15}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~2
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=60}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~-2
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=61..65}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~-4
execute as @e[tag=aj.player.root,scores={aj.player.animation.wake_up1.local_anim_time=66}] at @s run execute as @e[tag=HeadCam1] at @s run teleport @s ~ ~ ~ ~ ~-2


# End